package com.fizz.business.service;


import com.fizz.business.constants.enums.ExitCutTypeEnum;
import com.fizz.business.dto.PdoExCoilDTO;
import com.fizz.business.dto.ExitCoilInfoDTO;
import com.fizz.business.dto.MatmapDTO;

/**
 * @author chenhao
 * @date 2023/05/30
 */
public interface PdoExCoilService {

    PdoExCoilDTO saveExCoil(ExitCoilInfoDTO exitCoil);

    ExitCoilInfoDTO genExitCoilInfo(MatmapDTO trMatmap, ExitCutTypeEnum cutType);

    void deleteExistPdo(String coilId, String planId);
}
